<?php
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require_once "conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

	$unidad=$_POST["id"];
	
if(isset($_POST["id"]))
{
	$query="Select unidad from unidades where unidad='".$_POST["id"]."' LIMIT 1";
	
	
	$rquery=mysqli_query($conexion->CONEXION,$query);
	
	if(mysqli_num_rows($rquery) > 0){$temp=mysqli_fetch_array($rquery,MYSQLI_ASSOC); $unidad=$temp['unidad'];}
}
?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
$j_6(document).ready(function() {
	$j_6('#loading').hide();
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
        $j_6('#resultUnidad').hide();
    }).ajaxStop(function() {
        $j_6('#resultUnidad').fadeIn('slow');
		$j_6('#loading').hide();
    });
	
	/*$j_3('#formUnidad').ajaxForm(function(data) {
					if(data.indexOf('ERROR:') == -1){
						document.getElementById('tipodocto').readOnly=true;
					}
					$j_3('#resultUnidad').html(data);
					$j_3('#loading').hide();
	});*/
	
	$j_6('#form, #fat, #formUnidad').submit(function() {
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            success: function(data) {
					$j_6('#resultUnidad').html(data);
					$j_6('#loading').hide();
            }
        })
        
        return false;
    });
	
   $j_6("#unidad").change(function () {
   		$j_6("#unidad").each(function () {
				var unidad=$j_6(this).val();
				if(unidad == '<?=$unidad?>')
					return false;
					
				$j_6.post("regresaUnidad.php", { unidad: $j_6('#unidad').val()},function(data){
					if(data.indexOf("true") != -1){
						alert('La unidad ya existe');
						$j_6("#unidad").val("<?=$unidad?>");
						//$j_6("#unidad").focus();
						
					}
				});			
			
        });
   });
   
});
function maximo(campo,limite){
if(campo.value.length>=limite){
campo.value=campo.value.substring(0,limite);
 }
}

function pulsar(e) {
  tecla = (document.all) ? e.keyCode : e.which;
  return (tecla != 13);
}
</script>
<table>
		<tr>
		<td valign="top" class="txt_logindat" width="800" height="35"><div id="resultUnidad"></div></td>
		</tr>
</table>
<table bgcolor="#FFFFFF">
		<tr>
			<td valign="top" class="txt_logindat" align="center"><center><h2>CONFIGURACION DE UNIDAD</h2></center></td>
		</tr>
</table>
        <form target="_self" action="altaUnidad.php" method="post" name="formUnidad" id="formUnidad" onkeypress = "return pulsar(event)">
			<table class="td_general" bgcolor="#FFFFFF">
				<tr>
					<td valign="top" class="txt_logindat">
						<strong>Unidad: * :</strong>
						<input type="hidden" name="unidadAnt" value="<?=$unidad?>" id="unidadAnt"/>
						<input type="text" size="20" maxlength="10" name="unidad" id="unidad" class=":required Logers" value="<?=$unidad?>"/>
					</td>
				</tr>
				<tr>
					<td>
					<? echo btnNavegacion();?>
					</td>
				</tr>
			</table>
        </form>
<?
function btnNavegacion()
{
?>	
		<input type="submit" class="estilo_btn" value="GUARDAR"/>
<?
}